Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.io 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.windows
Interface InputOutput

    public interface InputOutput

An I/O connection to one tab on the Output Window. To acquire an instance to write to, call, e.g., `IOProvider.getDefault().getInputOutput("someName", false)`. To get actual streams to write to, call `getOut()` or `getErr()` on the returned instance.

Generally it is preferable not to hold a reference to an instance of `InputOutput`, but rather to fetch it by name from `IOProvider` as needed.

Note: For historical reasons, the mechanism to clear an output tab is via the method `OutputWriter.reset()`, though it would have made more sense implemented here.

See Also:
  `OutputWriter`

Field Summary
`static InputOutput` | `NULL` Null InputOutput
`static Reader` | `nullReader` Deprecated. Use `NULL` instead.
`static OutputWriter` | `nullWriter` Deprecated. Use `NULL` instead.

Method Summary
`void` | `closeInputOutput()` Closes this tab.
`Reader` | `flushReader()` Deprecated. meaningless, does nothing
`OutputWriter` | `getErr()` Get an output writer to write to the tab in error mode.
`Reader` | `getIn()` Get a reader to read from the tab.
`OutputWriter` | `getOut()` Acquire an output writer to write to the tab.
`boolean` | `isClosed()` Test whether this tab has been closed, either by a call to `closeInputOutput()` or by the user closing the tab in the UI.
`boolean` | `isErrSeparated()` Test whether the error output is mixed into the regular output or not.
`boolean` | `isFocusTaken()` Test whether the output window takes focus when anything is written to it.
`void` | `select()` Ensure this pane is visible.
`void` | `setErrSeparated(boolean value)` Set whether the error output should be mixed into the regular output or not.
`void` | `setErrVisible(boolean value)` Show or hide the error pane, if separated.
`void` | `setFocusTaken(boolean value)` Set whether the output window should take focus when anything is written to it.
`void` | `setInputVisible(boolean value)` Show or hide the input line.
`void` | `setOutputVisible(boolean value)` Show or hide the standard output pane, if separated.

Field Detail

### NULL

    static final InputOutput NULL

  Null InputOutput

### nullReader

    static final Reader nullReader

  Deprecated. Use `NULL` instead.

### nullWriter

    static final OutputWriter nullWriter

  Deprecated. Use `NULL` instead.

Method Detail

### getOut

    OutputWriter getOut()

  Acquire an output writer to write to the tab. This is the usual use of a tab--it writes to the main output pane.

  Returns:
    the writer

### getIn

    Reader getIn()

  Get a reader to read from the tab. If a reader is ever requested, an input line is added to the tab and used to read one line at a time.

  Returns:
    the reader

### getErr

    OutputWriter getErr()

  Get an output writer to write to the tab in error mode. This might show up in a different color than the regular output, e.g., or appear in a separate pane.

  Returns:
    the writer

### closeInputOutput

    void closeInputOutput()

  Closes this tab. The effect of calling any method on an instance of InputOutput after calling `closeInputOutput()` on it is undefined.

### isClosed

    boolean isClosed()

  Test whether this tab has been closed, either by a call to `closeInputOutput()` or by the user closing the tab in the UI.

  Returns:
    `true` if it is closed
  See Also:
    `closeInputOutput()`

### setOutputVisible

    void setOutputVisible(boolean value)

  Show or hide the standard output pane, if separated. Does nothing in either of the available implementations of this API.

  Parameters:
    `value` - `true` to show, `false` to hide

### setErrVisible

    void setErrVisible(boolean value)

  Show or hide the error pane, if separated. Does nothing in either of the available implementations of this API.

  Parameters:
    `value` - `true` to show, `false` to hide

### setInputVisible

    void setInputVisible(boolean value)

  Show or hide the input line.

  Parameters:
    `value` - `true` to show, `false` to hide

### select

    void select()

  Ensure this pane is visible.

### isErrSeparated

    boolean isErrSeparated()

  Test whether the error output is mixed into the regular output or not. Always true for both available implementations of this API.

  Returns:
    `true` if separate, `false` if mixed in

### setErrSeparated

    void setErrSeparated(boolean value)

  Set whether the error output should be mixed into the regular output or not. Note that this method is optional and is not supported by either of the current implementations of InputOutput (core/output and core/output2).

  Parameters:
    `value` - `true` to separate, `false` to mix in

### isFocusTaken

    boolean isFocusTaken()

  Test whether the output window takes focus when anything is written to it.

  Returns:
    `true` if any write to the tab should cause it to gain keyboard focus (not recommended)

### setFocusTaken

    void setFocusTaken(boolean value)

  Set whether the output window should take focus when anything is written to it. Note that this really means the output window will steal keyboard focus whenever a line of output is written. This is generally an extremely bad idea and strongly recommended against by most UI guidelines.

  Parameters:
    `value` - `true` to take focus

### flushReader

    Reader flushReader()

  Deprecated. meaningless, does nothing

  Flush pending data in the input-line's reader. Called when the reader is about to be reused.

  Returns:
    the flushed reader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.io 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.